<ion-header>
  <ion-toolbar class="fx-toolbar">
    <ion-buttons slot="start">
      <ion-back-button class="text-white" defaultHref="bookmarks"></ion-back-button>
    </ion-buttons>
    <ion-buttons slot="end">
      <ion-icon (click)="openFilter()" class="filter-icon" name="funnel"></ion-icon>
    </ion-buttons>
  </ion-toolbar>
</ion-header>
<ion-content>
  <section class="class-banner ion-padding">
    <ion-row class="ion-padding-top ion-margin-top ion-padding-bottom">
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3">
        <ion-text class="title text-white">
          Bookmarks
        </ion-text>
      </ion-col>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3">
        <ion-text class="sub-title text-white">
          22 Videos / 30 Questions
        </ion-text>
      </ion-col>
    </ion-row>
  </section>
  <section class="tab-section ion-padding">
    <ion-row>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3">
        <ion-row  class="class-tab">
          <ion-col size="6" class="brd-right" (click)="changeTab('questions')">
            <div class="tab-cart" [ngClass]="{'active-cart':activeTab === 'questions'}">
              <ion-row>
                <ion-col size="12" class="ion-no-padding">
                  <ion-icon name="chatbubbles"></ion-icon>
                </ion-col>
                <ion-col size="12" class="ion-no-padding">
                  <ion-text class="sub-title">
                    Questions
                  </ion-text>
                </ion-col>
              </ion-row>
            </div>
          </ion-col>
          <ion-col size="6" (click)="changeTab('videos')">
            <div class="tab-cart" [ngClass]="{'active-cart':activeTab === 'videos'}">
              <ion-row>
                <ion-col size="12" class="ion-no-padding">
                  <ion-icon name="videocam"></ion-icon>
                </ion-col>
                <ion-col size="12" class="ion-no-padding">
                  <ion-text class="sub-title">
                    Videos
                  </ion-text>
                </ion-col>
              </ion-row>
            </div>
          </ion-col>
        </ion-row>
      </ion-col>
    </ion-row>
  </section>
  <section class="ion-padding-end ion-padding-start ion-padding-bottom" *ngIf="activeTab === 'questions'">
    <ion-row>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3" >
        <ion-card class="bookmark-card" *ngFor="let question of questions; let i = index">
          <ion-row>
            <ion-col size="1">
              <ion-text class="bookmark-count vertical-align" *ngIf="i < 9"> 0{{i+1}}</ion-text>
            </ion-col>
            <ion-col size="9">
              <ion-row>
                <ion-col size="12" class="ion-no-padding">
                  <ion-text class="bookmark-title">
                    {{question.title}}
                  </ion-text>
                </ion-col>
                <ion-col size="12" class="ion-no-padding">
                  <ion-text class="bookmark-subtitle">
                    {{question.subtitle}}
                  </ion-text>
                </ion-col>
              </ion-row>
            </ion-col>
            <ion-col size="2" class="vertical-align">
              <ion-text class="bookmark-icon">
                <ion-icon name="bookmark"></ion-icon>
              </ion-text>
            </ion-col>
          </ion-row>
        </ion-card>
      </ion-col>
    </ion-row>
  </section>
  <section class="ion-padding-end ion-padding-start ion-padding-bottom" *ngIf="activeTab === 'videos'">
    <ion-row>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3" >
        <ion-card class="bookmark-card" *ngFor="let video of videos; let i = index">
          <ion-row>
            <ion-col size="3">
              <div class="video-image">
                <img [src]="video.image">
              </div>
            </ion-col>
            <ion-col size="7">
              <ion-row>
                <ion-col size="12" class="ion-no-padding">
                  <ion-text class="bookmark-title">
                    {{video.title}}
                  </ion-text>
                </ion-col>
                <ion-col size="12" class="ion-no-padding">
                  <ion-text class="bookmark-subtitle color-grey">
                    {{video.content}}
                  </ion-text>
                </ion-col>
              </ion-row>
            </ion-col>
            <ion-col size="2" class="vertical-align">
              <ion-text class="bookmark-icon">
                <ion-icon name="bookmark"></ion-icon>
              </ion-text>
            </ion-col>
          </ion-row>
        </ion-card>
      </ion-col>
    </ion-row>
  </section>
</ion-content>
